/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.lib.commons.error;

/**
 * A runtime exception that cannot be instantiated. Sometimes the typing
 * mechanism forces one to define an exception type although no exceptions are
 * actually thrown. This class may be used to clarify such circumstances.
 * 
 * @author Florian Deissenboeck
 * @author $Author: deissenb $
 * @version $Rev: 35183 $
 * @ConQAT.Rating GREEN Hash: 1C8E64543F2ECE44DCC3520DB8FCD987
 */
@SuppressWarnings("serial")
public class NeverThrownRuntimeException extends RuntimeException {
	/** Prevents instantiation. */
	private NeverThrownRuntimeException() {
		// Prevents instantiation.
	}
}